socket_mchopcount6(3)

NAME
socket_mchopcount6 - set multicast hop count

SYNTAX
#include <libowfat/socket.h>

int socket_mchopcount6(int s,char TTL);

DESCRIPTION
socket_mchopcount6 sets the maximum hop count of outgoing multicast packets on the socket s. Each router decrements the packet hop count by one and discards the packet if it reaches zero. Setting the maximum hop count to 1, for example, will limit the packet propagation to the LAN.

If something goes wrong, socket_mchopcount6 returns -1, setting errno appropriately.

SEE ALSO
socket_mcttl4(3), socket_mcjoin4(3), socket_mcleave4(3)